Subject: Re: Problems accessing network drive using rsh
From: Andrew Chang <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 26 Feb 2002 10:11:52 -0800

I like to confirm that I am seeing the same problem
The problem is easy to reproduce
1) login on a linux box
2) rsh into a  w2k box, like so
    rsh w2k_box cd c:    /* this works, becuase c: is local drive */
    rsh w2k_box cd z:    /* this failed, becuase z: is a network drive */
note that: 
    if I rlogin to the w2k_box, cd to z: this worked fine.

Transcript as follows
========================
[awc@etp1 tmp]$ rsh etp2 cd c:                  # this worked
[awc@etp1 tmp]$ rsh etp2 cd z:                  # this failed
bash: cd: z:: No such file or directory
[awc@etp1 tmp]$ rlogin etp2
Password:
Fanfare!!!
You are successfully logged in to this server!!!

awc@ETP2 /projects/bk-2.1.x/src
$ cd z:
/cygdrive/z

===== End of transcript =======

Notice that rlogin is asking for my passwd even that I have 
the hosts.eqviu file set up (why ?) 
I am guessing that the rlogin case worked is becuase it got the credential 
info it needed to see the network drive.

Hopegfully someone can use this info to tarck down the problem..
(If this is already sloved, pls let me know, thanks)

Thanks
Andrew

> From: Kalpesh Dave <kalpeshd at PDF dot COM>
> To: cygwin at cygwin dot com
> Date: Wed, 19 Dec 2001 11:46:38 -0800
> Subject: Problems accessing network drive using rsh
>
>
> Here is the detail of my problem.
> I have two computers, and would like to run script on one computer
> remotely. so, I access that computer's hard drive with rsh command and
> can easily locate the tcl script I need to run.
> Now, the problem is that tcl script requires to goto samba network drive
> and find the data.
> So, I am getting this problem, as I can't access that network drive ( T
> drive ) while doing rsh,
>
> I tried nosmbntsec as well as ntsec options.
>
> The net use command gives me following information with status
> unavailable.
>
>
> $ net use
> New connections will be remembered.
>
>
> Status       Local     Remote                    Network
>
> ---------------------------------------------------------------------------
>----
>
> Unavailable  T:        \\grape\kalpeshd          Microsoft Windows
> Network
> The command completed successfully.
>
>
> Can you / anyone help me on this issue.
>
> Thanks,
> Kalpesh

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/